Module PhusionPassenger::Rails3Extensions::AnalyticsLogging::ACExtension |
In: | lib/phusion_passenger/rails3_extensions/init.rb

Methods

- process_action
- render

Public Instance methods
process_action(action, *args)

[ show source ]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 161
    161:                 def process_action(action, *args)
    162:                         log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    163:                         if log
    164:                                 log.message("Controller action: #{self.class.name}##{action_name}")
    165:                                 log.measure("framework request processing") do
    166:                                         super
    167:                                 end
    168:                         else
    169:                                 super
    170:                         end
    171:                 end

render(*args)

[ show source ]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 173
    173:                 def render(*args)
    174:                         log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    175:                         if log
    176:                                 log.measure("view rendering") do
    177:                                         super
    178:                                 end
    179:                         else
    180:                                 super
    181:                         end
    182:                 end